package post

import (
	"github.com/milvus-io/milvus-sdk-go/v2/client"
	"leafdev.top/Ecosystem/recommender/internal/base/conf"
	"leafdev.top/Ecosystem/recommender/internal/dao"
	"leafdev.top/Ecosystem/recommender/internal/service/embedding"
	"leafdev.top/Ecosystem/recommender/internal/service/stream"
)

type Service struct {
	dao       *dao.Query
	config    *conf.Config
	stream    *stream.Service
	milvus    client.Client
	embedding *embedding.Service
}

func NewService(dao *dao.Query, config *conf.Config, stream *stream.Service, milvus client.Client, embedding *embedding.Service) *Service {
	return &Service{
		dao:       dao,
		config:    config,
		stream:    stream,
		milvus:    milvus,
		embedding: embedding,
	}
}
