package user

import (
	"github.com/milvus-io/milvus-sdk-go/v2/client"
	"leafdev.top/Ecosystem/recommender/internal/base/conf"
	"leafdev.top/Ecosystem/recommender/internal/base/logger"
	"leafdev.top/Ecosystem/recommender/internal/dao"
	"leafdev.top/Ecosystem/recommender/internal/service/embedding"
	"leafdev.top/Ecosystem/recommender/internal/service/post"
)

type Service struct {
	dao         *dao.Query
	postService *post.Service
	logger      *logger.Logger
	milvus      client.Client
	embedding   *embedding.Service
	config      *conf.Config
}

func NewService(
	dao *dao.Query,
	postService *post.Service,
	logger *logger.Logger,
	milvus client.Client,
	embedding *embedding.Service,
	config *conf.Config,
) *Service {
	return &Service{
		dao:         dao,
		postService: postService,
		logger:      logger,
		milvus:      milvus,
		embedding:   embedding,
		config:      config,
	}
}
